
Redmine - Defect #31552

View switches from gantt to list after editing an issue

2019-06-11 11:53 - Bernhard Rohloff

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gantt Estimated time: 0.00 hour

Target version: 4.0.5   

Resolution: Fixed Affected version:  

Description

The view is only affected if a custom filter is applied. If there's

no filter applied the view works as expected.

Steps to reproduce

1. Open the gantt view.

2. Modify and apply the filter.

3. Edit an issue with the right click menu

Result

The view switches to the issues list view

Expected result

The view stays on the gantt view

Related issues:

Related to Redmine - Defect #31831: Back url parse in validation Closed

Associated revisions

Revision 18322 - 2019-06-29 07:28 - Go MAEDA

View switches from gantt to list after editing an issue (#31552).

Patch by Mizuki ISHIKAWA.

Revision 18324 - 2019-06-30 07:37 - Go MAEDA

Merged r18322 from trunk to 4.0-stable (#31552).

History

#1 - 2019-06-13 09:04 - Go MAEDA

- Status changed from New to Confirmed

#2 - 2019-06-27 08:35 - Mizuki ISHIKAWA

I have confirmed that the changes below fix this problem.

diff --git a/app/controllers/application_controller.rb b/app/controllers/application_controller.rb

index 06e2d702c1..afbb30f3ee 100644

--- a/app/controllers/application_controller.rb

+++ b/app/controllers/application_controller.rb

@@ -440,7 +440,7 @@ class ApplicationController < ActionController::Base

     end

     begin

-      uri = URI.parse(back_url)

+      uri = URI.parse(URI.encode(back_url))

     rescue URI::InvalidURIError

       return false

     end

2025-05-17 1/2



 However, I am concerned that this change will cause other problems.

ApplicationController#validate_back_url is a method that includes security changes(#19577), so it needs to be corrected carefully.

#3 - 2019-06-27 09:13 - Mizuki ISHIKAWA

- File add-back-url-parameter.patch added

I think that the patch attached is better than the correction method suggested in #31552#note-2.

The issues/_list also make the back_url parameter in the same way.

The same problem occurred with the calendar, so we fix it together.

#4 - 2019-06-29 07:23 - Go MAEDA

- Target version set to 4.0.5

Mizuki ISHIKAWA wrote:

The issues/_list also make the back_url parameter in the same way.

 source:tags/4.0.4/app/views/issues/_list.html.erb#L5 and source:tags/4.0.4/app/views/timelog/_list.html.erb#L2.

Setting the target version to 4.0.5.

#5 - 2019-06-29 07:29 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

Committed the patch. Thank you all for reporting and fixing this issue.

#6 - 2019-06-30 07:38 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Fixed

#7 - 2019-08-01 10:51 - Go MAEDA

- Related to Defect #31831: Back url parse in validation added

Files

gantt_switch_to_list_issue.webm 179 KB 2019-06-11 Bernhard Rohloff

add-back-url-parameter.patch 1.41 KB 2019-06-27 Mizuki ISHIKAWA
